<?php get_header(); ?>

<div id="wrapper">

<div id="content">

<?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>

<div class="post clearfix" id="post-<?php the_ID(); ?>">

<div class="posttitle clearfix"><h2 class="post_title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2><div class="metadata_comments"><span class="comments"><?php comments_popup_link('0', '1', '%'); ?></span></div></div>

<hr/>

<div class="metadata"><?php edit_post_link('Edit This Post ', '', '|'); ?> posted by <?php the_author() ?> on <span class="time"><?php the_time('F jS, Y') ?></span></div>

<div class="entry">

<?php the_content('Read the rest of this entry &raquo;'); ?>

</div>

<div class="hr_img"></div>

<div id="recent_comments">

<h3 class="header_title">Recent Comments</h3>

<?php
$comment_array = array_reverse(get_approved_comments($wp_query->post->ID));
$count = 1;
?>

<?php if ($comment_array) {  ?>
<span class="comment"> <?php comments_number('No comment','1 comment','% comments'); ?></span> - 

Latest by:
<ul class="commentlist">
<?php foreach($comment_array as $comment){ ?>
<?php if ($count++ <= 1) { ?>
<li><span class="comment_author"><?php comment_author_link(); ?></span> <br /> <?php comment_excerpt(); ?> 

</li>
<?php } ?>
<?php } ?>
</ul>
<?php } else { ?>
<span class="comment">No comment so far, <?php comments_popup_link ('be the first to post a comment here!','',''); ?></span>
<?php } ?>

<!-- end recent comment-->

</div>

<div id="recent_posts">

<h3 class="header_title">Other Posts</h3>

<?php recent_posts(); ?>

</div>

</div>

<?php endwhile; ?>

<div class="navigation">

<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>

</div>

<?php else : ?>

<h2 class="center">Not Found</h2>
<p class="center">Sorry, but you are looking for something that isn't here.</p>
<?php include (TEMPLATEPATH . "/searchform.php"); ?>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
